__gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash >(3)

NAME
__gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash > - Base class for conditionally defining a static data member.

SYNOPSIS

#include <types_traits.hpp>

Inherited by __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, false >, and __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >.

Detailed Description

  template<typename Key, typename Mapped, typename _Alloc, bool Store_Hash>
struct __gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash >"Base class for conditionally defining a static data member.

Author

Generated automatically by Doxygen for libstdc++ from the source code.